---------------- Marco -------------------
------------------------------------------
-- Creation d'une balle dans le tableau --
------------------------------------------

function bulletSetup()
	if nbBalles < 5 then
		nbBalles = nbBalles + 1
		if currentBullet < 5 then
			currentBullet = currentBullet + 1
		end
		if direction == 1 then
			bulletTab[currentBullet].x = joueurX
			bulletTab[currentBullet].y = joueurY-30
		elseif direction == 0 then
			bulletTab[currentBullet].x = joueurX
			bulletTab[currentBullet].y = joueurY-30
		elseif direction == 3 then
			bulletTab[currentBullet].x = joueurX
			bulletTab[currentBullet].y = joueurY-30
		elseif direction == 2 then
			bulletTab[currentBullet].x = joueurX
			bulletTab[currentBullet].y = joueurY-10
		end
		bulletTab[currentBullet].direction = direction
		bulletTab[currentBullet].firing = true
	end
end

----------------------------
-- Deplacement des balles --
----------------------------

function bulletFire()
	for i = 1,5 do
		if bulletTab[i].firing == true then
			if bulletTab[i].direction == 0 then  -- droite
				bulletTab[i].x = bulletTab[i].x + 15
			end
			if bulletTab[i].direction == 1 then   -- gauche
				bulletTab[i].x = bulletTab[i].x - 15
			end
			if bulletTab[i].direction == 3 then   -- debout 
				bulletTab[i].y = bulletTab[i].y - 10
			end
			
			
			if bulletTab[i].direction == 2 and droite == 1 then   -- accroupi gauche
				bulletTab[i].x = bulletTab[i].x - 15
			elseif bulletTab[i].direction == 2 and droite == 0 then   -- accroupi droite
				bulletTab[i].x = bulletTab[i].x + 15				
			end
							
			screen:blit(bulletTab[i].x,bulletTab[i].y,bulletTab[i].img, bullet[1].xs, bullet[1].y, bullet[1].lg, bullet[1].h)
		end
		if bulletTab[i].x < 0 or bulletTab[i].x > 480 or bulletTab[i].y < 0 or bulletTab[i].y > 280 then 
			if bulletTab[i].firing == true then
				nbBalles = nbBalles - 1
			end
			bulletTab[i].firing = false
		end
	end
end

----------- Ennemi4 ----------
-- Initialisation des balles du monstre --
function monsterBulletSetup()
	--if nbBallesMonster < 15 then
		--nbBallesMonster = nbBallesMonster + 1
		if currentBulletMonster < 15 then
			currentBulletMonster = currentBulletMonster + 1
			attaque_ennemis[4][currentBulletMonster].x = monster[4].x
			attaque_ennemis[4][currentBulletMonster].y = monster[4].y + 15
			attaque_ennemis[4][currentBulletMonster].firing = true
		else
			currentBulletMonster = 0
			ennemi4Recharge = true
		end
	--end
end

-- Deplacement des balles du monstre --
function monsterBulletFire()
	for i = 1,15 do
		if (attaque_ennemis[4][i].firing == true) then
			attaque_ennemis[4][i].x = attaque_ennemis[4][i].x - 10		
			screen:blit(attaque_ennemis[4][i].x, attaque_ennemis[4][i].y, cartouche[1].img, cartouche[1].xs, cartouche[1].y, cartouche[1].lg, cartouche[1].h)
			if (attaque_ennemis[4][i].x < 0) or (attaque_ennemis[4][i].x > 480) then 
				--nbBallesMonster = nbBallesMonster - 1
				attaque_ennemis[4][i].firing = false
			elseif (attaque_ennemis[4][i].x >= joueurX) and (attaque_ennemis[4][i].x <= joueurX + 20) and (attaque_ennemis[4][i].y <= joueurY) and (attaque_ennemis[4][i].y >= joueurY - 40) then
				--nbBallesMonster = nbBallesMonster - 1
				attaque_ennemis[4][i].firing = false
				joueur.health = joueur.health - monster[4].force
				touche = true
				perteVie(monster[4].force)
			end
		end
	end
end