-----------------------------
-- Apparition des Monstres --
-----------------------------

-- Snipe --
monster[1].random_apparition = 380
monster[2].random_apparition = 800
monster[3].random_apparition = 1200
monster[4].random_apparition = 1910

-- boubou --
monster[5].random_apparition = 260
monster[6].random_apparition = 730
monster[7].random_apparition = 1000
monster[8].random_apparition = 1500
monster[9].random_apparition = 2300



function afficherMonstre()
	for i = 1,9 do
		if avancement >= monster[i].random_apparition then
			if monster[i].mort == false then
				monster[i].apparition = true
			end
		end
	end
end

--------------------------
-- Actions des monstres --
--------------------------

function actionMonstre(numero)
	
	-- MAJ coordonnes des ennemis si Marco ne bouge pas --
	if (monster[numero].apparition == true) then
		if avance_a_droite == 1 then
			if (monster[numero].mort == false) then
				if (joueurX-20) < monster[numero].x then
					monster[numero].x = monster[numero].x - monster[numero].vitesse
				elseif (joueurX-20) > monster[numero].x then
					monster[numero].x = (monster[numero].x + monster[numero].vitesse)
				end
			end
			monster[numero].x = monster[numero].x - 4
		elseif avance_a_gauche == 1 then
			if (monster[numero].mort == false) then
				if (joueurX-20) < monster[numero].x then
					monster[numero].x = monster[numero].x - monster[numero].vitesse
				elseif (joueurX-20) > monster[numero].x then
					monster[numero].x = (monster[numero].x + monster[numero].vitesse)
				end
			end
			monster[numero].x = monster[numero].x + 4
		elseif (monster[numero].mort == false) then
			if (joueurX-20) < monster[numero].x then
				monster[numero].x = monster[numero].x - monster[numero].vitesse
			elseif (joueurX-20) > monster[numero].x then
				monster[numero].x = monster[numero].x + monster[numero].vitesse
			end
		end
	end
	
	-- declenchement des attaques --
	if (joueurX < monster[numero].x) and (attaque_ennemis[numero].firing == false) and (monster[numero].tire == false) then
		-- SNIPE --
		if (monster[numero].recharger == false) and (monster[numero].classe == "snipe") then
			attaque_ennemis[numero].firing = true
			attaque_ennemis[numero].x = monster[numero].x
			attaque_ennemis[numero].y = monster[numero].y
			attaque_ennemis[numero].dep_x = ((joueurX+10 - monster[numero].x)/70)
			attaque_ennemis[numero].dep_y = ((joueurY-18 - monster[numero].y)/70)
			monster[numero].tire = true
			monster[numero].compteur_statut = 1
		-- BOUBOU --
		elseif (monster[numero].classe == "boubou") then
			if (monster[numero].cpt_attaque == 0) then
				attaque_ennemis[numero].firing = true
				attaque_ennemis[numero].x = monster[numero].x
				attaque_ennemis[numero].y = monster[numero].y + 5
				monster[numero].cpt_attaque = 50
				monster[numero].tire = true
			end
		end
	end
	
	if (monster[numero].classe == "boubou") and (monster[numero].cpt_attaque > 0) then
		monster[numero].cpt_attaque = monster[numero].cpt_attaque - 1
	end
	
	-- avancement des attaques --
	-- SNIPE --
	if (monster[numero].classe == "snipe") then
		if (attaque_ennemis[numero].firing == true) then
			attaque_ennemis[numero].x = attaque_ennemis[numero].x + attaque_ennemis[numero].dep_x
			attaque_ennemis[numero].y = attaque_ennemis[numero].y + attaque_ennemis[numero].dep_y
			if avance_a_droite == 1 then
				attaque_ennemis[numero].x = attaque_ennemis[numero].x - 4
			elseif avance_a_gauche == 1 then
				attaque_ennemis[numero].x = attaque_ennemis[numero].x + 4
			end
			screen:blit(attaque_ennemis[numero].x, attaque_ennemis[numero].y, bullet[1].img, bullet[1].xs, bullet[1].y, bullet[1].lg, bullet[1].h)
			if (attaque_ennemis[numero].x >= joueurX) and (attaque_ennemis[numero].x <= joueurX+20) and (attaque_ennemis[numero].y >= joueurY-37) and (attaque_ennemis[numero].y <= joueurY) then
				joueur.health = joueur.health - monster[numero].force
				attaque_ennemis[numero].firing = false
			elseif (attaque_ennemis[numero].y >= 220) or (attaque_ennemis[numero].x < 0) then
				attaque_ennemis[numero].firing = false
			end
		end
	-- BOUBOU --
	elseif (monster[numero].classe == "boubou") and (attaque_ennemis[numero].firing == true) then
		attaque_ennemis[numero].x = attaque_ennemis[numero].x - 5
		if avance_a_droite == 1 then
			attaque_ennemis[numero].x = attaque_ennemis[numero].x - 4
		elseif avance_a_gauche == 1 then
			attaque_ennemis[numero].x = attaque_ennemis[numero].x + 4
		end
		screen:blit(attaque_ennemis[numero].x, attaque_ennemis[numero].y, bullet[1].img, bullet[1].xs, bullet[1].y, bullet[1].lg, bullet[1].h)
		if (attaque_ennemis[numero].x >= joueurX) and (attaque_ennemis[numero].x <= joueurX+20) and (attaque_ennemis[numero].y >= joueurY-37) and (attaque_ennemis[numero].y <= joueurY) then
			joueur.health = joueur.health - monster[numero].force
			attaque_ennemis[numero].firing = false
		elseif (attaque_ennemis[numero].x < 0) then
			attaque_ennemis[numero].firing = false
		end
	end
	
	-- si une attaque de marco touche un monstre --
	for i = 1,5 do
		if bulletTab[i].firing == true then
			if (bulletTab[i].x > monster[numero].x) and (bulletTab[i].x < monster[numero].x + 25) and (bulletTab[i].y > monster[numero].y) and (bulletTab[i].y < monster[numero].y + 45) and (monster[numero].mort == false) and (monster[numero].apparition == true) then
				if (monster[numero].classe == "boubou") and ((monster[numero].tire == true) or (joueurX > monster[numero].x)) then
					monster[numero].mort = true
					monster[numero].compteur_statut = 1
				elseif not(monster[numero].classe == "boubou") then
					monster[numero].mort = true
					monster[numero].compteur_statut = 1
				end
				bulletTab[i].firing = false
				nbBalles = nbBalles -1
			end
		end
	end
	if (pad:square()) then
		if (direction == 0) and (monster[numero].mort == false) and (joueurX + 30 >= monster[numero].x) and (joueurX < monster[numero].x) and (joueurY >= monster[numero].y) and (joueurY < monster[numero].y + 45) then
			monster[numero].mort = true
			monster[numero].compteur_statut = 1
		elseif (direction == 1) and (monster[numero].mort == false) and (joueurX - 15 <= monster[numero].x + 45) and (joueurX > monster[numero].x) and (joueurY >= monster[numero].y) and (joueurY < monster[numero].y + 45) then
			monster[numero].mort = true
			monster[numero].compteur_statut = 1
		end
	end
end